<template lang="pug">
div
  .text-center.q-my-lg
    q-icon(name="un:leadership" size="lg")
    .text-h6 {{$t('phase1_info_title')}}
    .text-body1 {{$t('phase1_info_text')}}

  //- FormTextInput(ref="field1" v-model="submission.formdata.title" name="title" :icon="matDescription" :disable="(submission.id)?true:false")
  FormFileInput(ref="field2" v-on:rejected="$emit('rejected')" v-model="files[0]")
</template>

<script>
// import FormTextInput from "@/components/FormTextInput";
import FormFileInput from "@/components/FormFileInput";

export default {
  components: {
    FormFileInput,
  },
  name: "SubmissionForm",
  methods: {
    validateMe() {
      // if (!this.$refs.field1.validate()) return false;
      if (!this.$refs.field2.validate()) return false;
      return true;
    },
  },
  props: [
    "files",
    "submission",
    "languageList",
    "commsLanguages",
    "countryList",
  ],
};
</script>
